Add watchers to issue
Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 5.0.0

Description

I've upgraded my Redmine 3.4.2 to 5.0 and after upgrade | think i get wrong behaviour about adding watchers to existing issues
(different from 3.4.2). I've tested it on clean bithami Redmine 5.0 too.

| tested the next scenario:
| have 3 users and a group.

e User 1 has default Manager role. Manager role can see all issues except private issue (Issues visibility: All non private issues
)

¢ User 2 is member of Group1 and has CreatedOrAssigned role. This role's Issues visibilitiy is set to Issues created by or
assigned to the user.

¢ Only SpentTime has OmlySpentTime role. This role can't do anything with issues.

When i create a new issue in my test project, | can set all of them as whatchers.
But, when | want to add watcher to existing issue (no attached watchers on it), | can only set User 1 and Group1 (without User 2).

On Redmine 3.4.2 this wasn't problem.
| could add all users to existing issues as watchers.

| think this is the right behaviour with this sussgestion:
Don't show a user or a group on wathchers list (new or existing issue), which has only role(s) without issue visibility settings (like
Only SpentTime user in my test).

Related issues:
Related to Redmine - Patch #33329: Improve watchers functionality to mark the... Closed

History

#1 - 2022-06-09 17:36 - Holger Just

- Related to Patch #33329: Improve watchers functionality to mark the users that are watching a non visible object and to not return watchers that
cannot see the object added

#2 - 2023-01-10 14:27 - Eugenia B.

+1

#3 - 2024-07-10 21:51 - Sergei Naumov

It still behaves this way as of 5.1.2
